Bug 1282630 - [RFE] add a new register option "--no-healing" to disable the automatic healing functionality
[RFE] add a new register option "--no-healing" to disable the automatic heali...
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
7.5
Unspecified Unspecified
medium Severity unspecified
: pre-dev-freeze
: ---
Assigned To: candlepin-bugs
John Sefler
: FutureFeature, Reopened
Depends On: 1282617
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-16 17:37 EST by John Sefler
Modified: 2017-12-08 21:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-06 05:30:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2015-11-16 17:37:00 EST
Description of problem:
After implementing RFE bug 1282617, implement a new command line option that will disable the healing configuration at the time of registration.


The expected option would look like this:

[root@jsefler-7 ~]# subscription-manager register --help | grep healing
  --no-healing       disable the auto-attachment of subscriptions on a schedule



Then after registering with option --no-healing, the following would be true...

[root@jsefler-7 ~]# subscription-manager healing --show
Healing preference: disabled
Comment 2 John Sefler 2016-03-31 09:55:56 EDT
(In reply to John Sefler from comment #0)
> [root@jsefler-7 ~]# subscription-manager register --help | grep healing
>   --no-healing       disable the auto-attachment of subscriptions on a schedule

I like this help description better...

  --no-healing       disable the auto-attachment of subscriptions to cover
                     installed products that are not yet fully subscribed
Comment 3 Jan Kurik 2017-12-06 05:30:28 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/
Comment 4 Kevin Howell 2017-12-07 11:10:10 EST
Still a valid request for subscription-manager generally. We'll look at it for RHEL7.

Note You need to log in before you can comment on or make changes to this bug.